summaryrefslogtreecommitdiff
path: root/TS
diff options
context:
space:
mode:
Diffstat (limited to 'TS')
-rwxr-xr-xTS/baselines/cpu/run.sh2
-rwxr-xr-xTS/run-paper-strong-rank.sh2
2 files changed, 2 insertions, 2 deletions
diff --git a/TS/baselines/cpu/run.sh b/TS/baselines/cpu/run.sh
index 254ca15..f69f63f 100755
--- a/TS/baselines/cpu/run.sh
+++ b/TS/baselines/cpu/run.sh
@@ -17,7 +17,7 @@ echo "Revision $(git describe --always)"
make -B
for i in $(seq 1 10); do
for nr_threads in 88 64 44 1 2 4 6 8 12 16 20 24 32; do
- OMP_NUM_THREADS=${nr_threads} timeout --foreground -k 1m 30m ./streamp_openmp inputs/randomlist33M.txt 256 || true
+ OMP_NUM_THREADS=${nr_threads} timeout --foreground -k 1m 60m ./streamp_openmp inputs/randomlist33M.txt 256 || true
done
done
) | tee "${HOST}-explore.txt"
diff --git a/TS/run-paper-strong-rank.sh b/TS/run-paper-strong-rank.sh
index ec07fab..72cbff0 100755
--- a/TS/run-paper-strong-rank.sh
+++ b/TS/run-paper-strong-rank.sh
@@ -21,7 +21,7 @@ for nr_dpus in 512 256 1 4 16 64; do
# upstream code did not respect $BL in the makefile and used 256B (BL=8) instead.
# BL=10 appears to be slightly faster.
if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10; then
- timeout --foreground -k 1m 30m bin/ts_host -w 0 -e 100 -n 524288 || true
+ timeout --foreground -k 1m 60m bin/ts_host -w 0 -e 50 -n 524288 || true
fi
done
done